Bug 1124381 - [RFE] include "Return Loan And Test" option
Summary: [RFE] include "Return Loan And Test" option
Keywords:
Status: NEW
Alias: None
Product: Beaker
Classification: Community
Component: web UI
Version: 0.15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ---
Assignee: beaker-dev-list
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On: 1014438
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 11:36 UTC by Prarit Bhargava
Modified: 2018-11-09 23:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Prarit Bhargava 2014-07-29 11:36:35 UTC
Typically I have a system both loaned and in use.  I rarely find myself in the situation where I have one or the other.  It would be nice if when I clicked "Return Loan", that an option to release both the loan and the usage be available.

Comment 2 Dan Callaghan 2014-08-04 01:03:46 UTC
The system page improvements will make this easier, specifically the "quick action" buttons.

https://beaker-project.org/dev/proposals/system-page-improvements.html#quick-info-boxes

After that is don we can revisit whether there is still anything else needed here.

Comment 3 Roman Joost 2016-06-20 01:42:41 UTC
Dear Prarit,

with the system page improvements implemented, is there anything missing for your request or can this RFE be closed?

Comment 4 Prarit Bhargava 2016-06-24 11:37:51 UTC
(In reply to Roman Joost from comment #3)
> Dear Prarit,
> 
> with the system page improvements implemented, is there anything missing for
> your request or can this RFE be closed?

Roman,

The text says:


"The right-hand quick info box shows a summary of the system’s usage: current loan, current user, and reservation length. It also contains a quick action button which allows one of the following operations, depending on the current state of the system and the user’s permissions: Take, Return, Borrow, Return Loan, Request Loan. The goal of this quick info box is to quickly answer the question: “Can I use this system right now?”"

I think so -- if I have "one click" to return the system when loaned and borrowed then yes, this implements the change I wanted.

P.


Note You need to log in before you can comment on or make changes to this bug.